function [ X ] = EuDist500( data, q, n )
%EUDIST500 find the nearest n points using Euclidean Distance
dist=zeros(size(data,1),1);
for i=1:size(data,1)
    dist(i)=EuDist2(data(i,:),data(q,:));
end
[~, I]=sort(dist);
X=I(1:n);
end

